<!DOCTYPE html>
<html class="writer-html5" lang="pt-br" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>SEGM - Sistema de Gestão de Merendas &mdash; Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife. 1.0.0 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/css/lightbox.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/js/lightbox-plus-jquery.min.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2-customize/jquery-noconflict.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="SEGP - Sistema de Gestão de Pessoas" href="segp.html" />
    <link rel="prev" title="SDCL - Sistema de diário de classe" href="sdcl.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../index.html" class="icon icon-home"> Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Sistemas pedagógicos</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="geqt.html">GEQT - Sistema de gestão de equipamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="matricula.html">Matrícula Online</a></li>
<li class="toctree-l1"><a class="reference internal" href="saap.html">SAAP - Sistema de Acompanhamento de Ações Pedagógicas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sadr.html">SADR - Sistema de avaliação diagnóstica</a></li>
<li class="toctree-l1"><a class="reference internal" href="sdcl.html">SDCL - Sistema de diário de classe</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">SEGM - Sistema de Gestão de Merendas</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="#principais-funcionalidades">Principais Funcionalidades</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#gestor">Gestor</a></li>
<li class="toctree-l3"><a class="reference internal" href="#fornecedor">Fornecedor</a></li>
<li class="toctree-l3"><a class="reference internal" href="#administrador-do-sistema">Administrador do sistema</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#modelagem-de-casos-de-uso">Modelagem de casos de uso</a></li>
<li class="toctree-l3"><a class="reference internal" href="#modelagem-c4">Modelagem C4</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#referencias">Referências</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="segp.html">SEGP - Sistema de Gestão de Pessoas</a></li>
<li class="toctree-l1"><a class="reference internal" href="seinfra.html">SEINFRA - Sistema de Gerenciamento da Capacidade Instalada</a></li>
<li class="toctree-l1"><a class="reference internal" href="semeweb.html">SEMEWEB/SEGE - Sistema de Gestão Escolar</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Sistemas administrativos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/consist.html">Consist - Sistema de Folha de Pagamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/sofin.html">SOFIN - Sistema de Controle Orçamentário e Financeiro</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Conclusão</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../conclus%C3%A3o.html">Conclusão</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
      <li>SEGM - Sistema de Gestão de Merendas</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/sistemas/pedagogicos/segm.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="segm-sistema-de-gestao-de-merendas">
<h1>SEGM - Sistema de Gestão de Merendas<a class="headerlink" href="#segm-sistema-de-gestao-de-merendas" title="Permalink to this headline"></a></h1>
<p>O Sistema de Gestão de Merendas (SEGM) é um sistema desenvolvido para absorver demandas dos cadastros de pedidos de merenda escolar, feitos pelas unidades de ensino da rede. Até 2021, os pedidos eram feitos por comandas físicas e escaneadas para envio aos fornecedores. O sistema, que está em fase de implantação, vem para automatizar e facilitar este processo.</p>
<section id="perfis-de-usuario">
<h2>Perfis de usuário<a class="headerlink" href="#perfis-de-usuario" title="Permalink to this headline"></a></h2>
<ul class="simple">
<li><p><strong>Gestor Escolar</strong>: realiza o cadastro de solicitações de merenda. Faz operações referentes apenas ao contexto da unidade que administra.</p></li>
<li><p><strong>Fornecedor</strong>:  atende às solitações de merenda feitas pelos gestores.</p></li>
<li><p><strong>Administrador do sistema</strong>: tem acesso a todo o sistema.</p></li>
</ul>
</section>
<section id="principais-funcionalidades">
<h2>Principais Funcionalidades<a class="headerlink" href="#principais-funcionalidades" title="Permalink to this headline"></a></h2>
<section id="gestor">
<h3>Gestor<a class="headerlink" href="#gestor" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p>Cadastro de Cadum</p></li>
<li><p>Cadastro de tipo de refeição</p></li>
<li><p>Cadastro de programa</p></li>
<li><p>Cadastro de aluno com dieta especial</p></li>
<li><p>Cadastro de responsável por fornecedor</p></li>
<li><p>Cadastro de ocorrências</p></li>
<li><p>Solicitar pedido de refeição</p></li>
<li><p>Acesso ao relatórios de faturamento e custos</p></li>
</ul>
</section>
<section id="fornecedor">
<h3>Fornecedor<a class="headerlink" href="#fornecedor" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p>Atualização de situação do pedido</p></li>
<li><p>Cadastro de ocorrências</p></li>
</ul>
</section>
<section id="administrador-do-sistema">
<h3>Administrador do sistema<a class="headerlink" href="#administrador-do-sistema" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p>Bloqueio de fornecedores</p></li>
<li><p>Importação de alunos via BATCH</p></li>
<li><p>Definição de banner de cardápio</p></li>
</ul>
</section>
</section>
<section id="requisitos-e-arquitetura-de-software">
<h2>Requisitos e Arquitetura de Software<a class="headerlink" href="#requisitos-e-arquitetura-de-software" title="Permalink to this headline"></a></h2>
<p>Utilizaremos duas técnicas para avaliarmos o SEGM. A primeira é a modelagem de casos de uso, que permite
visualizar como atores interagem com as funcionalidades do sistema. O segundo é a modelagem
C4, que permite visualizar as fronteiras do sistema e com quais sistemas externos ele se comunica
para realizar suas operações.</p>
<section id="modelagem-de-casos-de-uso">
<h3>Modelagem de casos de uso<a class="headerlink" href="#modelagem-de-casos-de-uso" title="Permalink to this headline"></a></h3>
<p>O diagrama de casos de uso é uma forma visual de identificar perfis de usuário, funcionalidades do
sistema e a relação entre ambos. Iremos utilizar essa técnica de modelagem para termos uma visão
alto nível de como o SEGM funciona.</p>
<img alt="../../_images/41.png" src="../../_images/41.png" />
</section>
<section id="modelagem-c4">
<h3>Modelagem C4<a class="headerlink" href="#modelagem-c4" title="Permalink to this headline"></a></h3>
<p>Para entendermos as interações do SEGM com outros sistemas e bases de dados da
Secretaria, utilizaremos o modelo C4 para visualização de arquitetura de software. Para autenticar
no SEGM o usuário precisa ter suas credenciais criadas na base EMAC. O EMAC é um banco de dados
que gerencia as credenciais de acesso aos sistemas mais antigos da Secretaria. Novos sistemas estão
utilizando o Conecta Recife. Uma vez verificada as credenciais o usuário loga no sistema por meio de
sua interface <em>web</em>. A partir dai o usuário (gestor no caso) pode acessar as funcionalidades
apresentadas no modelo de casos de uso.</p>
<p>O SEGM lê e escreve de um banco de dados único chamado SECE. O SECE é responsável por
armazenar os dados de todos os sistemas da Secretaria. Para cada sistema, regras SQL são criadas
para limitar em quais tabelas é possível escrever ou recuperar dados.</p>
<img alt="../../_images/5.png" src="../../_images/5.png" />
</section>
</section>
<section id="referencias">
<h2>Referências<a class="headerlink" href="#referencias" title="Permalink to this headline"></a></h2>
<ol class="arabic simple">
<li><p><a class="reference external" href="https://www.visual-paradigm.com/guide/uml-unified-modeling-language/what-is-use-case-diagram/">What is Use Case Diagram</a>;</p></li>
<li><p><a class="reference external" href="https://c4model.com/">C4 Modeling framework</a></p></li>
</ol>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="sdcl.html" class="btn btn-neutral float-left" title="SDCL - Sistema de diário de classe" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="segp.html" class="btn btn-neutral float-right" title="SEGP - Sistema de Gestão de Pessoas" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2021, Pencillabs.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>